Package org.bukkit

# Enum Class Axis

java.lang.Object
java.lang.Enum<Axis>
org.bukkit.Axis

All Implemented Interfaces:
  `Serializable`, `Comparable<Axis>`, `Constable`

public enum Axis extends Enum<Axis>
Represents a mutually perpendicular axis in 3D Cartesian coordinates. In Minecraft the x, z axes lie in the horizontal plane, whilst the y axis points upwards.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`X`
The x axis.
`Y`
The y axis.
`Z`
The z axis.

## Method Summary

Modifier and Type
Method
Description
`static Axis`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Axis[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### X

public static final Axis X
The x axis.

### Y

public static final Axis Y
The y axis.

### Z

public static final Axis Z
The z axis.

## Method Details

### values

public static Axis[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Axis valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null